View Issue Details

IDProjectCategoryView StatusLast Update
0001075PluginsFARCmdspublic2014-07-12 22:18
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001075: Префиксы плагина не работают с относительными путями.
DescriptionПриходится указывать полный путь
Например:
view:autoexec.bat - не работает
view:c:\autoexec.bat - работает
TagsNo tags attached.

Relationships

has duplicate 0001170 closedzg clip:filename не работает, работает только clip:fullpath\filename 

Activities

vskirdin

2009-09-30 11:48

administrator   bugnote:0004179

build 47

JohnDoe

2009-10-01 11:19

updater   bugnote:0004188

Last edited: 2009-10-01 11:26

View 3 revisions

clip:autoexec.bat - не работает
clip:c:\autoexec.bat - работает

run:log<set
создаёт log не в текущей директории, а в %FARHOME%

link: - тоже не работает

JohnDoe

2010-06-10 12:28

updater   bugnote:0005452

run:file<exec

В результате file создаётся в текущей папке процесса, а не панели

vskirdin

2010-07-26 16:18

administrator   bugnote:0005629

брр... а run вообще работает?
и, просьба проверить (про клип и линк)

JohnDoe

2010-07-27 11:52

updater   bugnote:0005630

>брр... а run вообще работает?
Да. Создаёт файл file в текущей папке процесса фара.

>и, просьба проверить (про клип и линк)
клип и линк исправлены давно

JohnDoe

2012-02-02 18:38

updater   bugnote:0008533

build 87 (Far 3)
run всё ещё не понимает относительных путей

vskirdin

2014-07-08 17:13

administrator   bugnote:0012679

build 116

JohnDoe

2014-07-08 21:05

updater   bugnote:0012687

run:log<set
создаёт log не в текущей директории, а в %FARHOME%

vskirdin

2014-07-08 22:07

administrator   bugnote:0012692

build 117

JohnDoe

2014-07-10 01:20

updater   bugnote:0012715

run:log<set
Выполняется правильно, но меняет текущий путь процесса far.exe
В результате папку невозможно удалить

vskirdin

2014-07-10 09:30

administrator   bugnote:0012716

build 121

JohnDoe

2014-07-11 13:19

updater   bugnote:0012723

run:log<|%TEMP%|dir
Такая команда должна выполняться в %TEMP%, а выполняется в текущей папке

vskirdin

2014-07-11 13:56

administrator   bugnote:0012729

Чёй та?

dir исполняется для %TEMP%, но результат выводит в log, который в текущем каталоге.

Ты ничего не путаешь?

JohnDoe

2014-07-11 13:58

updater   bugnote:0012731

Из результирующего файла легко понять какая папка была текущей на момент исполнения dir

vskirdin

2014-07-11 14:24

administrator   bugnote:0012734

build 122

JohnDoe

2014-07-12 17:44

updater   bugnote:0012738

Порядок

Issue History

Date Modified Username Field Change
2009-09-29 12:22 JohnDoe New Issue
2009-09-30 11:47 vskirdin Status new => assigned
2009-09-30 11:47 vskirdin Assigned To => vskirdin
2009-09-30 11:48 vskirdin Note Added: 0004179
2009-09-30 11:48 vskirdin Status assigned => feedback
2009-10-01 11:19 JohnDoe Note Added: 0004188
2009-10-01 11:24 JohnDoe Note Edited: 0004188 View Revisions
2009-10-01 11:26 JohnDoe Note Edited: 0004188 View Revisions
2009-10-06 12:38 JohnDoe Status feedback => resolved
2009-10-06 12:38 JohnDoe Resolution open => reopened
2009-10-06 12:38 JohnDoe Status resolved => new
2009-11-20 14:35 alexy Relationship added has duplicate 0001170
2009-11-20 15:53 alexy Assigned To vskirdin => zg
2009-11-20 15:53 alexy Status new => assigned
2009-11-21 18:34 JohnDoe Status assigned => feedback
2009-11-21 18:35 JohnDoe Status feedback => resolved
2009-11-21 18:37 JohnDoe Status resolved => feedback
2010-03-29 13:10 zg Status feedback => resolved
2010-04-09 16:02 alexy Status resolved => closed
2010-04-09 16:02 alexy Resolution reopened => fixed
2010-04-09 16:02 alexy Fixed in Version => 2.0
2010-06-10 12:28 JohnDoe Note Added: 0005452
2010-06-10 12:28 JohnDoe Status closed => feedback
2010-06-10 12:28 JohnDoe Resolution fixed => reopened
2010-06-10 12:29 JohnDoe Status feedback => assigned
2010-07-26 16:18 vskirdin Note Added: 0005629
2010-07-27 11:52 JohnDoe Note Added: 0005630
2012-02-02 18:38 JohnDoe Note Added: 0008533
2014-07-08 17:13 vskirdin Note Added: 0012679
2014-07-08 17:13 vskirdin Status assigned => feedback
2014-07-08 21:05 JohnDoe Note Added: 0012687
2014-07-08 21:05 JohnDoe Status feedback => assigned
2014-07-08 22:07 vskirdin Note Added: 0012692
2014-07-08 22:07 vskirdin Assigned To zg => vskirdin
2014-07-08 22:07 vskirdin Status assigned => feedback
2014-07-10 01:20 JohnDoe Note Added: 0012715
2014-07-10 01:20 JohnDoe Status feedback => assigned
2014-07-10 09:30 vskirdin Note Added: 0012716
2014-07-10 09:30 vskirdin Status assigned => feedback
2014-07-11 13:19 JohnDoe Note Added: 0012723
2014-07-11 13:19 JohnDoe Status feedback => assigned
2014-07-11 13:56 vskirdin Note Added: 0012729
2014-07-11 13:58 JohnDoe Note Added: 0012731
2014-07-11 14:24 vskirdin Note Added: 0012734
2014-07-11 14:24 vskirdin Status assigned => feedback
2014-07-12 17:44 JohnDoe Note Added: 0012738
2014-07-12 17:44 JohnDoe Status feedback => assigned
2014-07-12 22:18 vskirdin Status assigned => closed
2014-07-12 22:18 vskirdin Resolution reopened => fixed
2014-07-12 22:18 vskirdin Fixed in Version 2.0 => 3.0